﻿Imports System.Globalization

Public Class Form1
    ' Calculate the interest compounded monthly.
    Private Sub btnGo_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGo.Click
        ' Get the parameters.
        Dim monthly_contribution As Decimal = Decimal.Parse( _
            txtMonthlyContribution.Text, NumberStyles.Any)
        Dim num_months As Integer = Integer.Parse(txtNumMonths.Text)
        Dim interest_rate As Decimal = Decimal.Parse( _
            txtInterestRate.Text.Replace("%", "")) / 100
        interest_rate /= 12

        ' Calculate.
        lvwBalance.Items.Clear()
        Dim balance As Decimal = 0
        For i As Integer = 1 To num_months
            ' Display the month.
            Dim new_item As ListViewItem = lvwBalance.Items.Add(i.ToString())

            ' Display the interest.
            Dim interest As Decimal = balance * interest_rate
            new_item.SubItems.Add(interest.ToString("c"))

            ' Add the contribution.
            balance += monthly_contribution

            ' Display the balance.
            balance += interest
            new_item.SubItems.Add(balance.ToString("c"))
        Next i

        ' Scroll to the last entry.
        lvwBalance.Items(lvwBalance.Items.Count - 1).EnsureVisible()
    End Sub
End Class
